Bug 1872124 - Could not choose device type as "disk" or "part" when create localvolumeset from web console
Summary: Could not choose device type as "disk" or "part" when create localvolumeset f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Vineet
QA Contact: Pratik Surve
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-25 06:52 UTC by Chao Yang
Modified: 2021-02-24 15:16 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:16:08 UTC
Target Upstream Version:


Attachments (Terms of Use)
No device type choice (39.74 KB, image/png)
2020-09-02 07:56 UTC, Chao Yang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6893 0 None closed Bug 1872124: Adds a dropdown for device type selection. 2021-01-11 16:40:13 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:16:33 UTC

Description Chao Yang 2020-08-25 06:52:34 UTC
Description of problem:
Could not choose device type as "disk" or "part" when create localvolumeset from web console

Version-Release number of selected component (if applicable):
local-storage-operator.4.6.0-202008210209.p0
4.6.0-0.nightly-2020-08-23-214712

How reproducible:
Always

Steps to Reproduce:
1.Deploy Local-storage-operator
2.Try to create localvolumeset from web console
3.Could not choose "disk" or "part" from web console

Actual results:
Could not choose "disk" or "part" from web console when create localvolumeset

Expected results:
Should provide the choice device type "disk" or "part" for customer 

Master Log:

Node Log (of failed PODs):

PV Dump:

PVC Dump:

StorageClass Dump (if StorageClass used by PV/PVC):

Additional info:

Comment 2 Neha Gupta 2020-08-28 03:57:32 UTC
@chaoyang@redhat.com I am not able to understand the issue here. Can you please explain? Are you saying that the partitioned disks are not getting provisioned, even after they matches the filter set on create local volume set view?

Comment 3 Qin Ping 2020-09-02 03:55:19 UTC
Hello Chao,

Could you help take a screen snapshot and attach to here? Thanks!

Comment 4 Chao Yang 2020-09-02 07:56:46 UTC
Created attachment 1713410 [details]
No device type choice

Comment 5 Chao Yang 2020-09-02 07:59:17 UTC
@negupta I attached one screen snapshot. 
And this is the yaml file if we create localvolumeset from cli. We can set deviceTypes as part or disk
spec:
  nodeSelector:
    nodeSelectorTerms:
      - matchExpressions:
          - key: kubernetes.io/hostname
            operator: In
            values:
              - ip-10-0-136-9
  deviceInclusionSpec:
    deviceTypes:
      - part
    minSize: 0Ti
  maxDeviceCount: 1

Comment 6 Sahina Bose 2020-09-02 11:20:09 UTC
(In reply to Chao Yang from comment #4)
> Created attachment 1713410 [details]
> No device type choice

Can you check if partitioned devices are picked while providing existing choices - i.e size and disk type?

Adding the device type choice was not in plan for 4.6. If above works, we will move this to 4.7

Comment 7 Chao Yang 2020-09-08 06:33:10 UTC
Localvolumeset instance created from web could not provion partitioned device.

Comment 8 Neha Gupta 2020-09-08 06:38:37 UTC
@chaoyang@redhat.com Can you please paste the request data that is being sent from UI?

Comment 11 Rohan CJ 2020-09-09 10:06:20 UTC
I think Chao is referring to not being able to set the values to either both or one of `disk` or `part` here.
It seems hard-coded to just `disk`.

    deviceTypes:
      - disk

Comment 12 Rohan CJ 2020-09-09 10:10:08 UTC
The field deviceTypes, is an allowlist of types of devices that get picked up for provisioning.
Currently valid values are `disk` and `part`.
For OCS, we do want to allow the use of partitioned devices.

Comment 13 Neha Gupta 2020-09-09 12:13:48 UTC
As Sahina mentioned, adding the device type choice is not in plan for 4.6. Hence, UI will not be able to pass it in 4.6. I would propose to move this bug to 4.7. 
User can use yaml for these scenarios.

Comment 14 Sahina Bose 2020-09-14 05:17:37 UTC
(In reply to Neha Gupta from comment #13)
> As Sahina mentioned, adding the device type choice is not in plan for 4.6.
> Hence, UI will not be able to pass it in 4.6. I would propose to move this
> bug to 4.7. 
> User can use yaml for these scenarios.

But user should have a way to choose disk types of both disk and part if for instance, they only provide the size filter.
Is this possible now? If not, can we fix that?

Comment 15 Neha Gupta 2020-09-14 08:03:25 UTC
As discussed, there is no such filter on UI for "disk" or for "part" disktype. So if BE allows omitting the "deviceTypes" field, UI can skip it and hence, it will be applied for both device types.

Comment 16 Neha Gupta 2020-09-15 07:12:26 UTC
Created a separate Bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=1878996 to track the provision issue for manually partitioned disk as this Bugzilla refers for the choice of disk and part device type, which is out of scope for 4.6.

Moving this to 4.7

Comment 21 errata-xmlrpc 2021-02-24 15:16:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.